import { Menu, MenuButton, MenuItem, MenuItems } from '@headlessui/react'
import { ChevronDownIcon } from '@heroicons/react/20/solid'
import { Link } from '@inertiajs/react';

export default function Actions({ btnName = 'Ações', items }) {

    const classeBtn = 'block px-4 py-2 text-[.74rem] text-text-white data-focus:bg-gray-100 data-focus:text-gray-900 data-focus:outline-hidden hover:bg-hover-default rounded-lg';

    return (
        <Menu as="div" className="relative inline-block text-left">
            <div>
                <MenuButton className="inline-flex w-full justify-center gap-x-1.5 rounded-lg bg-bg-default px-3 py-1.5 text-[.74rem] font-semibold text-text-white hover:bg-hover-default">
                    {btnName}
                    <ChevronDownIcon aria-hidden="true" className="-mr-1 size-5 text-gray-400" />
                </MenuButton>
            </div>

            <MenuItems
                transition
                className="absolute right-0 z-10 mt-2 w-52 origin-top-right rounded-[.9rem] bg-bg-default transition focus:outline-hidden data-closed:scale-95 data-closed:transform data-closed:opacity-0 data-enter:duration-100 data-enter:ease-out data-leave:duration-75 data-leave:ease-in"
            >
                <div className="p-2">
                    {items.map((item, index) => (
                        <MenuItem key={index}>
                            <Link href={item.link || '#'} className={classeBtn}
                                onClick={(e) => {
                                    if (item.button) {
                                        e.preventDefault();
                                        item.onPress?.();
                                    }
                                }}
                            >
                                {item.icon && <i className={`${item.icon} text-[.9rem] me-2`}></i>} {item.name}
                            </Link>
                        </MenuItem>
                    ))}
                </div>
            </MenuItems>
        </Menu>
    )
}
